(function ($) {
  $(function () {
    $('[name="payserver_method_radio"]').live( 'change', function () {
      let $radio = $(this);

      let $selectedMethodAttrs = $radio.parents('.payserver_payment_method').children('.attributes');
      let $otherAttrsDiv = $('.attributes');

      let $selectedMethodAttrsInput = $radio.parents('.payserver_payment_method').find('.attributes :input');
      let $otherAttrsInput = $('.attributes :input');

      if ($radio.attr('checked', true)) {
        $otherAttrsDiv.css('display', 'none');
        $otherAttrsInput.attr('disabled', 'disabled');

        $selectedMethodAttrs.css('display', 'block');
        $selectedMethodAttrsInput.removeAttr('disabled');
      }
    });
    $('[name="payserver_category_radio"]').live('change', function () {
      let $radio = $(this);

      let $methodsOfCategory = $radio.parents('.payserver_category').children('.payserver_methods');
      let $allMethods = $('.payserver_methods');

      if ($radio.attr('checked', true)) {
        $allMethods.css('display', 'none');
        $allMethods.attr('disabled', 'disabled');

        $methodsOfCategory.css('display', 'block');
        $methodsOfCategory.removeAttr('disabled');
      }
    });
    $('#payserver_pdf_button').live('click', function() { // enable redirect button on checkout if user downloaded file
      $('#payserver_pdf_redirect_button').removeAttr('disabled');
    });
  });
})(jQuery);
